org.bdgenomics.adam.apis.java

# JavaADAMContext

###
Related Docs: object JavaADAMContext | package java

#### class JavaADAMContext extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val ac: ADAMContext

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getSparkContext: JavaSparkContext

    returns

      Returns the Java Spark Context associated with this Java ADAM Context.

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def loadAlignments(filePath: String): AlignmentRecordRDD

    Loads in an ADAM read file.

    Loads in an ADAM read file. This method can load SAM, BAM, and ADAM files.

    filePath

      Path to load the file from.

    returns

      Returns a read RDD.

15. #### def loadFeatures(filePath: String): FeatureRDD

    Loads in features.

    Loads in features.

    filePath

      The path to load the file from.

    returns

      Returns a FeatureRDD.

16. #### def loadFragments(filePath: String): FragmentRDD

    Loads in read pairs as fragments.

    Loads in read pairs as fragments.

    filePath

      The path to load the file from.

    returns

      Returns a FragmentRDD.

17. #### def loadGenotypes(filePath: String): GenotypeRDD

    Loads in genotypes.

    Loads in genotypes.

    filePath

      The path to load the file from.

    returns

      Returns a GenotypeRDD.

18. #### def loadSequences(filePath: String): NucleotideContigFragmentRDD

    Loads in sequence fragments.

    Loads in sequence fragments.

    Can load from FASTA or from Parquet encoded NucleotideContigFragments.

    filePath

      Path to load the file from.

    returns

      Returns a NucleotideContigFragment RDD.

19. #### def loadVariantAnnotations(filePath: String): DatabaseVariantAnnotationRDD

    Loads in variant annotations.

    Loads in variant annotations.

    filePath

      The path to load the file from.

    returns

      Returns a DatabaseVariantAnnotationRDD.

20. #### def loadVariants(filePath: String): VariantRDD

    Loads in variants.

    Loads in variants.

    filePath

      The path to load the file from.

    returns

      Returns a VariantRDD.

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped